From 6950bf86dc2070a4062cd8fb71f3fcb0e8e8d1f1 Mon Sep 17 00:00:00 2001
From: Paul Whalen <pwhalen@fedoraproject.org>
Date: Apr 28 2026 18:57:23 +0000
Subject: f44: enable updates


Generated-by: Claude Code
Signed-off-by: Paul Whalen <pwhalen@fedoraproject.org>

---

diff --git a/fedora-iot.conf b/fedora-iot.conf
index 0984a9c..512d21d 100644
--- a/fedora-iot.conf
+++ b/fedora-iot.conf
@@ -215,7 +215,8 @@ imagebuilder = {
         "name": "%s-raw" % release_name,
         "types": ["iot-raw-xz"],
         "arches": ["x86_64", "aarch64"],
-        "repos": ["https://kojipkgs.fedoraproject.org/compose/44/Fedora-44-20260422.1/compose/Everything/$arch/os/"],
+        "repos": ["https://kojipkgs.fedoraproject.org/compose/44/Fedora-44-20260422.1/compose/Everything/$arch/os/",
+                  "https://kojipkgs.fedoraproject.org/compose/updates/f44-updates/compose/Everything/$arch/os/"],
         "ostree": {
            "url": "https://kojipkgs.fedoraproject.org/compose/iot/repo/",
            "ref": "fedora/stable/$arch/iot",
@@ -227,7 +228,8 @@ imagebuilder = {
         "name": "%s-ostree" % release_name,
         "types": ["iot-installer"],
         "arches": ["x86_64", "aarch64"],
-        "repos": ["https://kojipkgs.fedoraproject.org/compose/44/Fedora-44-20260422.1/compose/Everything/$arch/os/"],
+        "repos": ["https://kojipkgs.fedoraproject.org/compose/44/Fedora-44-20260422.1/compose/Everything/$arch/os/",
+                  "https://kojipkgs.fedoraproject.org/compose/updates/f44-updates/compose/Everything/$arch/os/"],
         "ostree": {
            "url": "https://kojipkgs.fedoraproject.org/compose/iot/repo/",
            "ref": "fedora/stable/$arch/iot",
@@ -240,7 +242,8 @@ imagebuilder = {
         "name": "%s-provisioner" % release_name,
         "types": ["iot-simplified-installer"],
         "arches": ["x86_64", "aarch64"],
-        "repos": ["https://kojipkgs.fedoraproject.org/compose/44/Fedora-44-20260422.1/compose/Everything/$arch/os/"],
+        "repos": ["https://kojipkgs.fedoraproject.org/compose/44/Fedora-44-20260422.1/compose/Everything/$arch/os/",
+                  "https://kojipkgs.fedoraproject.org/compose/updates/f44-updates/compose/Everything/$arch/os/"],
         "ostree": {
            "url": "https://kojipkgs.fedoraproject.org/compose/iot/repo/",
            "ref": "fedora/stable/$arch/iot",
@@ -267,7 +270,8 @@ ostree = {
             "config_branch": "f44",
             "repo": [
                 "IoT",
-                "https://kojipkgs.fedoraproject.org/compose/44/Fedora-44-20260422.1/compose/Everything/$basearch/os/"
+                "https://kojipkgs.fedoraproject.org/compose/44/Fedora-44-20260422.1/compose/Everything/$basearch/os/",
+                "https://kojipkgs.fedoraproject.org/compose/updates/f44-updates/compose/Everything/$basearch/os/"
             ]
             "tag_ref": False,
             "ostree_repo": "/mnt/koji/compose/iot/repo/",
@@ -285,7 +289,8 @@ ostree_container = {
             "config_url": "https://pagure.io/fedora-iot/base-images",
             "config_branch": "main",
             "treefile": "fedora-44.yaml",
-            "repo": ["https://kojipkgs.fedoraproject.org/compose/44/Fedora-44-20260422.1/compose/Everything/$basearch/os/"],
+            "repo": ["https://kojipkgs.fedoraproject.org/compose/44/Fedora-44-20260422.1/compose/Everything/$basearch/os/",
+                     "https://kojipkgs.fedoraproject.org/compose/updates/f44-updates/compose/Everything/$basearch/os/"],
             "arches": ["x86_64", "aarch64", "ppc64le", "s390x"],
             "failable": ['*'],
             "subvariant": "base",
@@ -296,7 +301,8 @@ ostree_container = {
             "config_url": "https://pagure.io/fedora-iot/fedora-iot-bootc.git",
             "config_branch": "main",
             "treefile": "fedora-iot-44.yaml",
-            "repo": ["https://kojipkgs.fedoraproject.org/compose/44/Fedora-44-20260422.1/compose/Everything/$basearch/os/"],
+            "repo": ["https://kojipkgs.fedoraproject.org/compose/44/Fedora-44-20260422.1/compose/Everything/$basearch/os/",
+                     "https://kojipkgs.fedoraproject.org/compose/updates/f44-updates/compose/Everything/$basearch/os/"],
             "arches": ["x86_64", "aarch64"],
             "failable": ['*'],
             "name": "Fedora-IoT-bootc",

